/* TrackAnalysis.java

		Analyze reconstructed tracks

 Created by  Mike Ronan  Dec '98   Analyze reconstructed tracks within JAS framework
 Modified by

 */


public class TrackAnalysis extends hep.lcd.recon.ztracking.tpc.TrackReconstruction
{
    static boolean Hist = true;

    /**
     * 
     */
    public TrackAnalysis()
    {
	this(Hist);
    }

    public TrackAnalysis(boolean hist)
    {
	super(hist);

	System.out.println("");
	String text = "TrackAnalysis  version 1.1.9"+"\n"+
	    "  Running hep.lcd version "+hep.lcd.Version.getVersion();
	System.out.println(text); //if (!XReconstruction.getBatchMode()) out.println(text);

	// Special histogramming
	if (hist) {
	  boolean test = false;
	  boolean dev  = true;
	  if (test) {
	    // anlTracks.setHtest(); // Check track reconstruction

	    tracker.getFinder().setHpnts(); // Test TPC tracker hit association
	    vertexDetector.setHpnts(); // Test vertex detector hit association

	    //anlTracks.setHeff();  // Use to estimate tracking efficiency
	    // anlTracks.setHenergy(); // Use to study total charged energy measurement.
	  } else if (dev) {
	    // anlTracks.setHdev();    // Study identification of reconstructed tracks with MC particles
	    // anlTracks.setHenergy(); // Use to study total charged energy measurement.
	  } else {
	    // anlTracks.setHprod();   // Study identification of reconstructed tracks with MC particles
	    // anlTracks.setHenergy(); // Use to study total charged energy measurement.
	  }
	}


	// Add processes
	// -------------
	// ...
    }


    /**
     * Method used for stand-alone reconstruction
     */
    public static void main(String[] argv)
    {
        String JobName = "TrackAnalysis";
        System.err.println("Running "+JobName+" in Batch mode");
	try {
	    int nargs = 0;
	    hep.analysis.Job job = new hep.analysis.Job(JobName);
	    String fileName = argv[nargs]; nargs++;
	    int nEvents = Integer.parseInt(argv[nargs]); nargs++;
	    if (nEvents<0) nEvents = Math.abs(nEvents); else nEvents *= 1000;

	    System.err.println("Create a "+JobName+" job, analyze "+nEvents+" events and save histograms.");
	    job.setEventSource(new hep.lcd.io.jas.LCDEventSource(fileName));
	    job.addEventAnalyzer(new TrackAnalysis());
	    job.go(nEvents);
	    job.save(); // Save histograms
	    System.err.println("Histograms saved in "+JobName+".javahist.");
	}
	catch (jas.jds.module.ModuleException x) { x.printStackTrace(); }
	catch (Exception x) {
	    System.err.println("Usage: jre "+JobName+" <fileName> <# evts (k)>");
	}
    }
}
