/* CCDSpecifications.java

		Specifies CCD dimensions and performance.

 Created by  Mike Ronan  Jan '99   Used in passing tracker specifications to TrkCandidate
                                   in recalculating track parameters.
 Modified by
   Mike Ronan    Feb '00    - Simplify object model

 */

package hep.lcd.recon.ztracking.ccd;

import hep.lcd.recon.ztracking.*;


public class CCDSpecifications extends BaseSpecifications
{
    public CCDSpecifications()
    {
        super("CCD");

        if (NLayers!=5)
                System.err.println("Note: # CCD layers = "+NLayers);

        RPhiResolution = 0.0010;  // CCD r-phi resolution of 10 microns
        ZResolution    = 0.0020;  //       z      "       "  20 microns
        NSigmaTracking = 10;
    }

    String ClassName = "CCDSpecifications::";
}

