/* TPCSpecifications.java

		Specifies Tracker dimensions and performance for any detector.

 Created by  Mike Ronan  Jan '99   Used in passing tracker specifications to TrkCandidate
                                   in recalculating track parameters.
 Modified by
   Mike Ronan    Feb '00    - Simplify object model

 */

package hep.lcd.recon.ztracking.tpc;

import hep.lcd.recon.ztracking.*;


public class TPCSpecifications extends BaseSpecifications
{
    public TPCSpecifications()
    {
        super("TPC");

        RPhiResolution = 0.0140;  // TPC r-phi resolution of 140 microns
        ZResolution    = 0.14;    //       z      "       "  1.4 mm
        NSigmaTracking = 5;
    }
}

