/* TPCTrackingStrategy.java

		List of the parameters used by track finder for combined tracking

 Created by Nick Sinev
 Modified by
   Mike Ronan    May '01    Allow for different number of patterns for each tracking package

 */

package hep.lcd.recon.ztracking.tpc;

import hep.lcd.recon.ztracking.TrackingStrategy;


public class TPCTrackingStrategy extends TrackingStrategy
{

    public TPCTrackingStrategy()
    {
	System.out.println(ClassName+"  version 1.1.8");

	int[] levels = {2,2};
	// double[][] radius = {{40.,15.},
	double[][] radius = {{40.,10.},
			     {20.,8.}};

	int[] patterns = {2,3};
	//int[][][] triplets = {{{97,45,11},{25,11,6},{10,5,2}},
	// int[][][] triplets = {{{97,47,11},{16,10,6}},    // TPC    reconstructs 36 tracks in 1st event		10 sec / event
	int[][][] triplets = {{{120,95,70},{16,10,6}},    // TPC    reconstructs 47 tracks in 1st event		yy sec / event
			      {{9,7,3},{6,4,2},{5,3,1}}};
	//int[][] npnts = {{80,18,7},
	// int[][] npnts = {{90,20},
	int[][] npnts = {{90,10},
			 {9,5,5}};

	//rTol[0] = 5.; zTol[0] = 2.; // Old
	//rTol[0] = 2.; zTol[0] = 2.;
	rTol[0] = 5.; zTol[0] = 5.;
	rTol[1] = 2.; zTol[1] = 2.;

	if (debug) {
	  System.out.println("TPC pattern recognition strategy: ");
	  for (int idet=0; idet<2; idet++) {
	    text=" For detector"+(idet+1)+"\n"+"  min. radius of curvature at each level = ";
	    for (int i=0;i<levels[idet];i++) {
	      text = text+Double.toString(radius[idet][i]); if (i<(levels[idet]-1)) text = text+", "; }
	    System.out.println(text);

	    text="  "+patterns[idet]+" patterns using triplets ";
	    for (int i=0;i<patterns[idet];i++) {
	      text = text+Integer.toString(triplets[idet][i][0])+","+Integer.toString(triplets[idet][i][1])+","+
		  Integer.toString(triplets[idet][i][2]);
	      if (i<(patterns[idet]-1)) text = text+"; "; }
	    System.out.println(text);
	    text=""; for (int i=0;i<patterns[idet];i++) {
	      text = text+Integer.toString(npnts[idet][i]); if (i<(patterns[idet]-1)) text = text+", "; }
	    System.out.println("  w/ # points req. = "+text);
	    System.out.println("  and vertex tolerances in r,z of "+rTol[idet]+", "+zTol[idet]);
	  }
	}

	setStrategy(levels,patterns,radius,triplets,npnts);
    }

    String ClassName = "TPCTrackingStrategy::";

    boolean debug = false;
}
